const { Model } = require('flitter-orm')
const ImplementationError = require('libflitter/errors/ImplementationError')

class LDAPBase extends Model {
    static async ldap_directory() {
        return this.find({ldap_visible: true})
    }

    get dn() {
        throw new ImplementationError()
    }

    async to_ldap() {
        throw new ImplementationError()
    }
}

module.exports = exports = LDAPBase
